(3)

NAME
boost::units::root_typeof_helper<unit<_Dim,_System_>,_static_rational<_N,_D_>> - take the static_rational root of a unit

SYNOPSIS

// In header: <boost/units/unit.hpp>
template<typename Dim, typename System, long N, long D>
struct root_typeof_helper<unit< Dim, System >, static_rational< N, D >> {
  // types
  typedef unit< typename static_root< Dim, static_rational< N, D > >::type, typename static_root< System, static_rational< N, D > >::type > type;
  // public static functions
  static type value(const unit< Dim, System > &);
};

DESCRIPTION

  root_typeof_helper public static functions

    1.

    static type value(const unit< Dim, System > &);